com.creamtec.ajaxswing.gui

## Class AjaxSwingAppletContext

- java.lang.Object
- - com.creamtec.ajaxswing.gui.AjaxSwingAppletContext

- All Implemented Interfaces:
    java.applet.AppletContext

      public class AjaxSwingAppletContext
      extends java.lang.Object
      implements java.applet.AppletContext

  Used to supply applets running in AjaxSwing with an instance of AppletContext

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingAppletContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.applet.Applet` | `getApplet(java.lang.String name)`
    `java.util.Enumeration` | `getApplets()`
    `java.applet.AudioClip` | `getAudioClip(java.net.URL url)`
    `java.awt.Image` | `getImage(java.net.URL url)`
    `static AjaxSwingAppletContext` | `getInstance()`
    `java.io.InputStream` | `getStream(java.lang.String key)`
    `java.util.Iterator` | `getStreamKeys()`
    `void` | `setStream(java.lang.String key, java.io.InputStream stream)`
    `void` | `showDocument(java.net.URL url)` Overrides to with a redirection to the given URL
    `void` | `showDocument(java.net.URL url, java.lang.String target)` Overrides to with a redirection to the given URL possibly in a new window
    `void` | `showStatus(java.lang.String status)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingAppletContext

          public AjaxSwingAppletContext()

  - ### Method Detail

    - #### getAudioClip

          public java.applet.AudioClip getAudioClip(java.net.URL url)

      Specified by:
        `getAudioClip` in interface `java.applet.AppletContext`

    - #### getImage

          public java.awt.Image getImage(java.net.URL url)

      Specified by:
        `getImage` in interface `java.applet.AppletContext`

    - #### getApplet

          public java.applet.Applet getApplet(java.lang.String name)

      Specified by:
        `getApplet` in interface `java.applet.AppletContext`

    - #### getApplets

          public java.util.Enumeration getApplets()

      Specified by:
        `getApplets` in interface `java.applet.AppletContext`

    - #### showDocument

          public void showDocument(java.net.URL url)

      Overrides to with a redirection to the given URL
      Specified by:
        `showDocument` in interface `java.applet.AppletContext`
      Parameters:
        `url` - URL

    - #### showDocument

          public void showDocument(java.net.URL url,
                          java.lang.String target)

      Overrides to with a redirection to the given URL possibly in a new window
      Specified by:
        `showDocument` in interface `java.applet.AppletContext`
      Parameters:
        `url` - URL

    - #### showStatus

          public void showStatus(java.lang.String status)

      Specified by:
        `showStatus` in interface `java.applet.AppletContext`

    - #### setStream

          public void setStream(java.lang.String key,
                       java.io.InputStream stream)
                         throws java.io.IOException

      Specified by:
        `setStream` in interface `java.applet.AppletContext`
      Throws:
        `java.io.IOException`
      Since:
        JDK1.4

    - #### getStream

          public java.io.InputStream getStream(java.lang.String key)

      Specified by:
        `getStream` in interface `java.applet.AppletContext`
      Since:
        JDK1.4

    - #### getStreamKeys

          public java.util.Iterator getStreamKeys()

      Specified by:
        `getStreamKeys` in interface `java.applet.AppletContext`
      Since:
        JDK1.4

    - #### getInstance

          public static AjaxSwingAppletContext getInstance()

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.